<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Type: Gallery Tab Panel include
| Name: Gallery Tab Panel
| Version: 1.00
| Filename: gallery_tab/panel.php
| Author: Dallas
| Modifed by Pajo http://pluk2012.tk
| Site: http://dtawebdesigns.com
| Developers: Dallas
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "maincore.php";

add_to_head("
<script src='".INFUSIONS."tabs_panel/js/tabbedContent.js' type='text/javascript'></script>
<link rel='stylesheet' href='".INFUSIONS."tabs_panel/css/tabbedContent.css' type='text/css' media='print, projection, screen' />
");

?>

</head>

<ul class='tabs'>
    <li><a href='#tab1'><img src='images/ikona_komentarze.png'></a></li>
    <li><a href='#tab2'><img src='images/ikona_oceny.png'></a></li>
    <li><a href='#tab3'><img src='images/ikona_podobne.png'></a></li>
    <li><a href='#tab4'><img src='images/ikona_share.png'></a>
    </li><a href='http://pluk2012.tk/' alt='Euro 2012'>.</a></ul>


<div class="tab_container">
    <div id="tab1" class="tab_content">

            <?php
			include INCLUDES."comments_include.php";
			if (isset($_GET['photo_id']) && isnum($_GET['photo_id'])){
	$result = dbquery(
		"SELECT tp.*, ta.*, tu.user_id,user_name, SUM(tr.rating_vote) AS sum_rating, COUNT(tr.rating_item_id) AS count_votes
		FROM ".DB_PHOTOS." tp
		LEFT JOIN ".DB_PHOTO_ALBUMS." ta USING (album_id)
		LEFT JOIN ".DB_USERS." tu ON tp.photo_user=tu.user_id
		LEFT JOIN ".DB_RATINGS." tr ON tr.rating_item_id = tp.photo_id AND tr.rating_type='P'
		WHERE photo_id='".$_GET['photo_id']."' GROUP BY tp.photo_id"
	);
	echo "<p>";
	if ($data['photo_allow_comments']) { showcomments("P", DB_PHOTOS, "photo_id", $_GET['photo_id'], FUSION_SELF."?photo_id=".$_GET['photo_id']); }
	echo "</p>";
?>
</div>
<div id="tab2" class="tab_content">
              <?php
			include INCLUDES."ratings_include.php";
	echo "<p>";
	if ($data['photo_allow_ratings']) { showratings("P", $_GET['photo_id'], FUSION_SELF."?photo_id=".$_GET['photo_id']); }
	echo "</p>";
?>
</div>
    
        <div id="tab3" class="tab_content">
            <?php
            echo "<p>";

$photo_id = isnum($data['photo_id']) ? $data['photo_id'] : 0;
if($photo_id){
   
list($photo_title) = dbarraynum(dbquery("SELECT photo_title from ".DB_PHOTOS." WHERE photo_id=".$photo_id.""));

$result = dbquery("
SELECT tt.photo_id, tt.photo_title, tt.photo_datestamp 
FROM ".DB_PHOTOS." tt
INNER JOIN ".DB_PHOTO_ALBUMS." tf ON tt.album_id=tf.album_id
WHERE MATCH (photo_title) AGAINST ('".$photo_title."' IN BOOLEAN MODE) AND photo_id != ".$photo_id." ORDER BY tt.photo_datestamp DESC LIMIT 4"
);

if(dbrows($result)){

$i = 0;
while($data = dbarray($result)){
$itemsubject = trimlink($data['photo_title'], 40);
echo "<a href='".BASEDIR."photogallery.php?=".$data['photo_id']."' title='".$data['photo_title']."' class='side'> ".$itemsubject."</a><br><br>\n";
}
} else {
echo "Brak pdobnych zdj w galerii.";
}
}

                echo "</p>";
                ?>
        </div>
         <div id="tab4" class="tab_content">
              <?php
			
	echo "<p>";
	include INFUSIONS."tabs_panel/includes/share_p.php";
	echo "</p>";
?>
</div>
        </div>
<?php
}
?>
