<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| Coding by BadBoy aka GoogleDude
| Email: webmaster@googlecityfourms.com
| Support: http://www.googlecityforums.com
+----------------------------------------------------+ 
| Original Coding developed by CrappoMan 
| email: simonpatterson@dsl.pipex.com 
+----------------------------------------------------*/
// If register_globals is turned off, extract super globals (php 4.2.0+)
if (ini_get('register_globals') != 1) {
	if ((isset($_POST) == true) && (is_array($_POST) == true)) extract($_POST, EXTR_OVERWRITE);
	if ((isset($_GET) == true) && (is_array($_GET) == true)) extract($_GET, EXTR_OVERWRITE);
}
require_once "maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."videogallery/infusion_db.php";
include LOCALE.LOCALESET."videogallery.php";
error_reporting(E_ALL ^ E_NOTICE);
define("SAFEMODE", @ini_get("safe_mode") ? true : false);
if (isset($video_id) && !isNum($video_id)) redirect(FUSION_SELF);
if (isset($album_id) && !isNum($album_id)) redirect(FUSION_SELF);
if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;

if(isset($video_id)){
	$result = dbquery(
		"SELECT tp.*, ta.*, tu.user_id,user_name, SUM(tr.rating_vote) AS sum_rating, COUNT(tr.rating_item_id) AS count_votes
		FROM ".DB_VIDEOS." tp
		LEFT JOIN ".DB_VIDEO_ALBUMS." ta USING (album_id)
		LEFT JOIN ".DB_USERS." tu ON tp.video_user=tu.user_id
		LEFT JOIN ".DB_RATINGS." tr ON tr.rating_item_id = tp.video_id AND tr.rating_type='V'
		WHERE video_id='$video_id' GROUP BY tp.video_id
	");
	$data = dbarray($result);
	if (!checkgroup($data['album_access'])) {
		redirect(FUSION_SELF);
	} else {
		define("VIDEODIR", 'VIDEOS'.(!SAFEMODE ? "album_".$data['album_id']."/" : ""));
		$result=dbquery("UPDATE ".DB_VIDEOS." SET video_views=(video_views+1) WHERE video_id='".$video_id."'");

		$pres = dbquery("SELECT video_id FROM ".DB_VIDEOS." WHERE video_order='".($data['video_order']-1)."' AND album_id='".$data['album_id']."'");
		$nres = dbquery("SELECT video_id FROM ".DB_VIDEOS." WHERE video_order='".($data['video_order']+1)."' AND album_id='".$data['album_id']."'");
		if (dbrows($pres)) $prev = dbarray($pres);
		if (dbrows($nres)) $next = dbarray($nres);

		opentable($locale['550']);
		if ($data['video_thumb2']) $video_thumb = VIDEODIR.$data['video_thumb2'];
		$video_file = VIDEODIR.$data['video_filename'];
		$video_size = @getimagesize($video_file);

		echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n<td class='tbl2'>\n";
		echo "<a href='".FUSION_SELF."'>".$locale['500']."</a> &gt;\n";
		echo "<a href='".FUSION_SELF."?album_id=".$data['album_id']."'>".$data['album_title']."</a> &gt;\n";
		echo "<a href='".FUSION_SELF."?video_id=$video_id'>".$data['video_title']."</a>\n</td>\n";		
		if (isset($prev) || isset($next)) {
			if (isset($prev)) echo "<td width='1%' class='tbl2'><a href='".FUSION_SELF."?video_id=".$prev['video_id']."' title='".$locale['551']."'>&lt;&lt;</a></td>\n";
			if (isset($next)) echo "<td width='1%' class='tbl2'><a href='".FUSION_SELF."?video_id=".$next['video_id']."' title='".$locale['552']."'>&gt;&gt;</a></td>\n";
		}
		echo "</tr>\n</table>\n";
		tablebreak();		
		echo "<div align='center' style='margin:5px;'>\n";

		echo "<div id='mediaspace' align='center' style='margin:5px 0px;'>

<script type='text/javascript' src='includes/silverlight.js'></script>
<script type='text/javascript'  src='includes/wmvplayer.js'></script>
<script type='text/javascript'>
 var cnt = document.getElementById('mediaspace');
 var src = 'includes/wmvplayer.xaml';
 var cfg = {height:'320', width:'450', file:'videos/".$data[video_video]."',image:'images/preview.jpg'};
 var ply = new jeroenwijering.Player(cnt,src,cfg);
</script>



</div>";

		echo "<div align='center' style='margin:5px 0px 5px 0px'>\n";
		if ($data['video_description']) echo nl2br(parseubb($data['video_description']))."</b><br><br>\n";
		echo $locale['533'].showdate("shortdate", $data['video_datestamp'])."<br>\n";
		echo $locale['534']."<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a><br>\n";
		echo $locale['556'].parsebytesize(filesize($video_video))."<br>\n";
		echo "<a href='#' onclick=window.open('".INFUSIONS."videogallery/tipafriend.php?video_id=".$data['kroax_id']."','Tipafriend','scrollbars=yes,resizable=yes,width=380,height=300')><b>".$locale['303']."</b></a><br>\n";
		echo $locale['536'].dbcount("(comment_id)", "".$db_prefix."comments", "comment_type='V' AND comment_item_id='".$data['video_id']."'")."<br>\n";
		echo $locale['537'].($data['count_votes'] > 0 ? str_repeat("<img src='".IMAGES."star.gif' alt='*' style='vertical-align:middle'>", ceil($data['sum_rating'] / $data['count_votes'])) : $locale['538'])."<br>\n";
		echo $locale['557'].$data['video_views']."\n";
		closetable();
		include INFUSIONS."tabs_panel/video_tab_panel.php";
	}
} elseif (isset($album_id)) {
	define("VIDEODIR", 'VIDEOS'.(!SAFEMODE ? "album_".$album_id."/" : ""));
	$result = dbquery(
		"SELECT ta.*, tu.user_id,user_name FROM ".DB_VIDEO_ALBUMS." ta
		LEFT JOIN ".DB_USERS." tu ON ta.album_user=tu.user_id
		WHERE album_id='$album_id'"
	);
	if (!dbrows($result)) {
		redirect(FUSION_SELF);
	} else {
		$data = dbarray($result);
		if (!checkgroup($data['album_access'])) {
			redirect(FUSION_SELF);
		} else {
			$rows = dbcount("(video_id)", "".$db_prefix."videos", "album_id='$album_id'");
			opentable($locale['520']);
			tablebreak();
			echo "<table align='center' cellpadding='0' cellspacing='0' width='80%'>\n<tr>\n";
			echo "<td rowspan='2' align='center' class='tbl1'><img src='".INFUSIONS.videogallery."/".VIDEOS.$data['album_thumb']."'></td>\n";
			echo "<td valign='top' width='100%'><div class='tbl2' style='font-weight:bold;vertical-align:top'>".$locale['521'].$data['album_title']."</div>\n";
			echo "<div class='tbl1' style='vertical-align:middle'>".nl2br(parseubb($data['album_description']))."</div>\n</td>\n</tr>\n";
			echo "<tr>\n<td valign='bottom' width='100%'>\n<div class='tbl2' style='vertical-align:bottom'>\n";
			if ($rows) {
				$pdata = dbarray(dbquery("SELECT tp.*, tu.user_id,user_name FROM ".$db_prefix."videos tp LEFT JOIN ".$db_prefix."users tu ON tp.video_user=tu.user_id WHERE album_id='$album_id' ORDER BY video_datestamp DESC LIMIT 1"));
				echo $locale['522']."$rows<br>\n";
				echo $locale['523']."<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$pdata['user_name']."</a>".$locale['524'].showdate("longdate", $pdata['video_datestamp'])."\n";
			} else {
				echo $locale['525']."\n";
			}
			echo "</div>\n</td>\n</tr>\n</table>";
			tablebreak();
			closetable();
			if ($rows) {
				tablebreak();
				opentable($locale['530']);
				$result = dbquery(
					"SELECT tp.*, tu.user_id,user_name, SUM(tr.rating_vote) AS sum_rating, COUNT(tr.rating_item_id) AS count_votes
					FROM ".DB_VIDEOS." tp
					LEFT JOIN ".DB_USERS." tu ON tp.video_user=tu.user_id
					LEFT JOIN ".DB_RATINGS." tr ON tr.rating_item_id = tp.video_id AND tr.rating_type='V'
					WHERE album_id=$album_id GROUP BY video_id ORDER BY video_order LIMIT $rowstart,".$settings['thumbs_per_page']
				);
				$counter = 0;
				echo "<table cellpadding='0' cellspacing='1' width='100%'>\n<tr>\n<td class='tbl2'>\n";
				echo "<a href='".FUSION_SELF."'>".$locale['500']."</a> &gt;\n";
				echo "<a href='".FUSION_SELF."?album_id=".$data['album_id']."'>".$data['album_title']."</a>\n";
				echo "</td>\n</tr>\n</table>\n";
				tablebreak();
				echo "<table cellpadding='0' cellspacing='1' width='100%'>\n<tr>\n";
				while ($data = dbarray($result)) {
					if ($counter != 0 && ($counter % $settings['thumbs_per_row'] == 0)) echo "</tr>\n<tr>\n";
					echo "<td align='center' valign='top' class='tbl' style='white-space:nowrap'>\n";
					echo "<b>".$data['video_title']."</b><br><br>\n<a href='".FUSION_SELF."?video_id=".$data['video_id']."'>";
					
						echo "
						
						<img src='".INFUSIONS.'videogallery'."/".VIDEODIR.$data['video_thumb1']."'/".$data['video_thumb1']."' alt='".$data['video_thumb1']."' title='".$locale['531']."' border='0'>";
					
					echo "</a><br><br>\n<span class='small'>\n";
					echo $locale['533'].showdate("shortdate", $data['video_datestamp'])."<br>\n";
					echo $locale['534']."<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a><br>\n";
					echo $locale['536'].dbcount("(comment_id)", "".$db_prefix."comments", "comment_type='V' AND comment_item_id='".$data['video_id']."'")."<br>\n";
					echo $locale['537'].($data['count_votes'] > 0 ? str_repeat("<img src='".IMAGES."star.gif' alt='*' style='vertical-align:middle'>", ceil($data['sum_rating'] / $data['count_votes'])) : $locale['538'])."<br>\n";
					echo $locale['535'].$data['video_views']."</span><br>\n";
					echo "</td>\n";
					$counter++;
				}
				echo "</tr>\n</table>\n";
				closetable();
			}
			if ($rows > $settings['thumbs_per_page']) echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,$settings['thumbs_per_page'],$rows,3,FUSION_SELF."?album_id=$album_id&amp;")."\n</div>\n";
		}
	}
} else {
	opentable($locale['500']);
	$rows = dbcount("(album_id)", "".$db_prefix."video_albums", groupaccess('album_access'));
	if ($rows) {
		$result = dbquery(
			"SELECT ta.*, tu.user_id,user_name FROM ".DB_VIDEO_ALBUMS." ta
			LEFT JOIN ".$db_prefix."users tu ON ta.album_user=tu.user_id
			WHERE ".groupaccess('album_access')." ORDER BY album_order
			LIMIT $rowstart,".$settings['thumbs_per_page']
		);
		$counter = 0; $r = 0; $k = 1;
		echo "<table cellpadding='0' cellspacing='1' width='100%'>\n<tr>\n";
		while ($data = dbarray($result)) {
			if ($counter != 0 && ($counter % $settings['thumbs_per_row'] == 0)) echo "</tr>\n<tr>\n";
			echo "<td align='center' valign='top' class='tbl' style='white-space:nowrap'>\n";
			echo "<b>".$data['album_title']."</b><br><br>\n<a href='".FUSION_SELF."?album_id=".$data['album_id']."'>";
			if ($data['album_thumb'] && file_exists(INFUSIONS.'videogallery'."/".'VIDEOS'.$data['album_thumb'])){
				echo "<img src='".INFUSIONS.'videogallery'."/".'VIDEOS'.$data['album_thumb']."' alt='".$data['album_thumb']."' title='".$locale['501']."' border='0'>";
			} else {
				echo $locale['502'];
			}
			echo "</a><br><br>\n<span class='small'>\n";
			echo $locale['503'].showdate("shortdate", $data['album_datestamp'])."<br>\n";
			echo $locale['504']."<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a><br>\n";
			echo $locale['505'].dbcount("(video_id)", "".$db_prefix."videos", "album_id='".$data['album_id']."'")."</span><br>\n";
			echo "</td>\n";
			$counter++; $k++;
		}
		echo "</tr>\n</table>\n";
		closetable();
		if ($rows > $settings['thumbs_per_page']) echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,$settings['thumbs_per_page'],$rows,3)."\n</div>\n";
	}else{
		echo "<center><br>".$locale['506']."<br><br></center>\n";
		closetable();
	}
}

require_once THEMES."templates/footer.php";
?>